import random
def gen(first, rest):
	output = []
	output.append(random.choice(first))
	for i in xrange(random.randint(0, 10)):
		output.append(random.choice(rest))
	return ''.join(output)

consonants = [c for c in "bcdfghjklmnpqrstvwxz"]
vowels = [c for c in "aeiouy"]
letters = vowels + consonants
N = 100
inp = []
for i in xrange(N):
	nWords = random.randint(1, 20)
	temp = []
	for j in xrange(nWords):
		p = random.random()
		if p < .25: temp.append(gen(vowels, vowels))
		elif p < .5: temp.append(gen(consonants, consonants))
		elif p < .75: temp.append(gen(vowels, letters))
		else: temp.append(gen(consonants, letters))
	inp.append(' '.join(temp))
random.shuffle(inp)

print N
for i in inp:
	print i
